Show Menu
TÓPICOS×

Atualizar para o AEM 6.5 Forms no OSGi

É possível fazer uma atualização direta do AEM 6.3 Forms ou AEM 6.4 Forms para AEM 6.5 Forms.
O caminho de atualização direta do AEM 6.0 Forms, AEM 6.1 Forms e AEM 6.2 Forms para AEM 6.5 Forms não está disponível. Faça uma atualização intermediária para o AEM 6.2 Forms , atualize para o AEM 6.3 Forms ou atualize para o AEM 6.4 Forms e, em seguida, atualize do AEM 6.3 Forms para o AEM 6.5 Forms Forms.
Faça o seguinte para atualizar do AEM 6.3 Forms ou AEM 6.4 Forms para o AEM 6.5 Forms:
  1. Atualize a instância do AEM existente para o AEM 6.5. As etapas estão listadas abaixo:
    1. Instale o service pack e os patches mais recentes para o AEM 6.3 Forms ou AEM 6.4 Forms. Para obter detalhes, consulte AEM Sustenance Hub .
    2. Prepare a instância de origem para a atualização. Para obter etapas detalhadas, consulte Atualização para o AEM 6.5 .
    3. Baixe o QuickStart do AEM 6.5.
    4. (Somente instalações baseadas em Unix/Linux) Se você estiver usando UNIX ou Linux como o sistema operacional subjacente, abra a janela do terminal, navegue até a pasta que contém crx-quickstart e execute o seguinte comando:
      chmod -R 755 ../crx-quickstart
    5. Atualize sua instância do AEM para o AEM 6.3. Para obter instruções passo a passo, consulte Atualização para o AEM 6.5 .
      Antes de continuar com as próximas etapas, aguarde até que as mensagens ServiceEvent REGISTERED e ServiceEvent UNREGISTERED parem de aparecer no arquivo <crx-repository>/error.log.
      Depois que o servidor estiver funcionando, alguns pacotes de AEM Forms permanecerão no estado de instalação. O número de pacotes pode variar para cada instalação. É possível ignorar com segurança o estado desses pacotes. Os pacotes estão listados em https://' # : # '/system/console/.
  2. Instale o pacote suplementar do AEM Forms. As etapas estão listadas abaixo:
    1. Distribuição de software aberta. Você precisa de um Adobe ID para fazer login na Software Distribution (Distribuição de software).
    2. Toque em Adobe Experience Manager disponível no menu de cabeçalho.
    3. Na seção Filtros :
      1. Selecione Formulários na lista suspensa Solução .
      2. Selecione a versão e o tipo do pacote. Você também pode usar a opção Pesquisar downloads para filtrar os resultados.
    4. Toque no nome do pacote aplicável ao seu sistema operacional, selecione Aceitar termos do EULA e toque em Download .
    5. Abra o Gerenciador de pacotes e clique em Carregar pacote para fazer upload do pacote.
    6. Select the package and click Install .
      Você também pode baixar o pacote usando o link direto listado no artigo de versões do AEM Forms.
      Depois que o pacote for instalado, você será solicitado a reiniciar a instância do AEM. Não interrompa imediatamente o servidor. Antes de parar o servidor AEM Forms, aguarde até que as mensagens ServiceEvent REGISTERED e ServiceEvent UNREGISTERED parem de aparecer no arquivo <crx-repository>/error.log e o log esteja estável. Observe também que alguns pacotes podem permanecer no estado instalado. É possível ignorar com segurança o estado desses pacotes.
  3. Reinicie a instância do AEM.
  4. Execute atividades pós-instalação.
    • Executar utilitário de migração
      O utilitário de migração torna os formulários adaptáveis e os ativos de gerenciamento de correspondência das versões anteriores compatíveis com os formulários AEM 6.5. Você pode baixar o utilitário da Distribuição de software AEM. Para obter informações detalhadas sobre como configurar e usar o utilitário de migração, consulte o utilitário de migração.
      Se você estiver usando o Exemplo para integrar o componente de rascunhos e envios ao banco de dados e atualizar de uma versão anterior, execute os seguintes query SQL após executar a atualização:
      UPDATE metadata m, additionalmetadatatable am
      SET m.dataType = am.value
      WHERE m.id = am.id
      AND am.key = 'dataType'
      
      
      DELETE from additionalmetadatatable
      WHERE `key` = 'dataType'
      
      
    • (Se estiver atualizando do AEM 6.2 Forms ou somente versões anteriores) Reconfigure o Adobe Sign
      Se você tiver o Adobe Sign configurado na versão anterior dos AEM Forms, reconfigure o Adobe Sign a partir dos AEM cloud services. Para obter mais detalhes, consulte Integrar o Adobe Sign a AEM Forms .
    • Suporte para jQuery
      No AEM 6.5 Forms, a versão do jQuery é atualizada para 3.2.1 e a versão da interface do usuário do jQuery é atualizada para 1.12.1. O formulário AEM usa o JQuery no modo noConflict . Portanto, se você estiver usando qualquer outra versão do jQuery, nenhum problema será exibido ao executar uma atualização. No entanto, ao atualizar para o AEM 6.5 Forms:
      • Certifique-se de que seus componentes personalizados, se houver, sejam compatíveis com as versões do jQuery suportadas.
      • Remova as APIs não compatíveis dos componentes personalizados. Consulte o guia de atualização para obter a lista das APIs removidas. Por exemplo, o suporte para as APIs load(), .unload() e .error() é removido. Use o método .on() no lugar das APIs acima. Por exemplo, altere $("img").load(fn) para $("img").on("load", fn).
    • (Se estiver atualizando do AEM 6.2 Forms ou somente versões anteriores) Reconfigurar análises e relatórios
      No AEM 6.4 Forms, variável de tráfego para fonte e evento bem-sucedido para impressão não está disponível. Portanto, quando você atualiza do AEM 6.2 Forms ou de versões anteriores, o AEM Forms para de enviar dados para o servidor e os relatórios de análise do Adobe Analytics para formulários adaptáveis não estão disponíveis. Além disso, o AEM 6.4 Forms apresenta uma variável de tráfego para a versão de análise de formulário e evento bem-sucedido pelo tempo gasto em um campo. Portanto, reconfigure análises e relatórios para o seu ambiente de AEM Forms. Para obter etapas detalhadas, consulte Configuração de análises e relatórios .
  5. Verifique se o servidor foi atualizado com êxito, se todos os dados também foram migrados com êxito e se podem funcionar normalmente.
    • Verifique o status dos pacotes: Verifique se todos os pacotes estão no estado ativo.
    • Verificar replicação e replicação reversa: Publique, preencha e envie alguns formulários migrados. Verifique também os dados enviados.
    • Verifique o acesso às interfaces de usuário do administrador e do desenvolvedor: Faça logon na instância do AEM a partir de uma conta de administrador e verifique se você tem acesso aos seguintes URLs:
      • https://'[server]:[port]'/crx/packmgr
      • https://'[server]:[port]'/crx/de
      • https://'[server]:[port]'/aem/forms.html/content/dam/formsanddocuments
    No AEM 6.4 Forms, a estrutura do repositório crx foi alterada. Se você atualizar do 6.3 Forms para o AEM 6.5 Forms, use os caminhos alterados para personalização que você cria novamente. Para obter a lista completa de caminhos alterados, consulte Reestruturação do repositório de formulários no AEM .